## ignition-transport8 8.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-transport8 VERSION 8.2.1)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.8.0 REQUIRED)
set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})

#============================================================================
# Configure the project
#============================================================================
ign_configure_project()

#============================================================================
# Set project-specific options
#============================================================================

# ignition-transport currently has no options that are unique to it

if (UNIX AND NOT APPLE)
  set (EXTRA_TEST_LIB_DEPS stdc++fs)
else()
  set (EXTRA_TEST_LIB_DEPS)
endif()

#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find Protobuf
set(REQ_PROTOBUF_VER 3)
ign_find_package(IgnProtobuf
                 VERSION ${REQ_PROTOBUF_VER}
                 REQUIRED
                 PRETTY Protobuf)

#--------------------------------------
# Find ZeroMQ
ign_find_package(ZeroMQ VERSION 4 REQUIRED PRIVATE)

if (UNIX AND NOT APPLE)
  execute_process(COMMAND lsb_release -cs
    OUTPUT_VARIABLE RELEASE_CODENAME
    RESULT_VARIABLE LSB_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )

  if( NOT (${LSB_RESULT} STREQUAL "0"))
    message(WARNING "lsb_release executable not found. Disabling focal-specific workarounds")
  elseif (${RELEASE_CODENAME} STREQUAL "focal")
    set(UBUNTU_FOCAL 1)
  endif()
endif()

#--------------------------------------
# Find cppzmq
ign_find_package(CPPZMQ REQUIRED PRIVATE
  PKGCONFIG_IGNORE # NOTE: cppzmq does not seem to offer a pkg-config file
  PRETTY CppZMQ)

#--------------------------------------
# Find uuid
if (MSVC)
  message (STATUS "UUID: Using Windows RPC UuidCreate function\n")
else()
  ign_find_package(UUID REQUIRED)
endif()

#--------------------------------------
# Find ignition-msgs
ign_find_package(ignition-msgs5 REQUIRED VERSION 5.6)
set(IGN_MSGS_VER ${ignition-msgs5_VERSION_MAJOR})

#--------------------------------------
# Find ifaddrs
ign_find_package(IFADDRS QUIET)
if (IFADDRS_FOUND)
  set (HAVE_IFADDRS ON CACHE BOOL "HAVE IFADDRS" FORCE)
else ()
  set (HAVE_IFADDRS OFF CACHE BOOL "HAVE IFADDRS" FORCE)
endif()

#--------------------------------------
# Find ignition-tools
ign_find_package(ignition-tools QUIET)

#--------------------------------------
# Find SQLite3
ign_find_package(SQLite3
  VERSION 3.7.13
  REQUIRED_BY log
  PRIVATE_FOR log
  PRETTY sqlite3)


#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS
  COMPONENTS log)

#============================================================================
# ign command line support
#============================================================================
add_subdirectory(conf)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md")

=== log/include/ignition/transport/CMakeLists.txt ===

ign_install_all_headers(COMPONENT log)

=== debian/changelog ===
ignition-transport8 (8.2.1-1~buster) buster; urgency=medium

  * ignition-transport8 8.2.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 27 Oct 2021 13:32:20 -0700

ignition-transport8 (8.2.0-2~buster) buster; urgency=medium

  * ignition-transport8 8.2.0-2 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 16 Jun 2021 09:44:25 -0700

ignition-transport8 (8.2.0-1~buster) buster; urgency=medium

  * ignition-transport8 8.2.0-1 release

 -- Nate Koenig <nate@osrfoundation.org>  Tue, 05 Jan 2021 12:18:29 -0700

ignition-transport8 (8.1.0-1~buster) buster; urgency=medium

  * ignition-transport8 8.1.0-1 release

 -- Nate Koenig <nate@osrfoundation.org>  Fri, 28 Aug 2020 14:23:15 -0700

ignition-transport8 (8.0.0-1~buster) buster; urgency=medium

  * ignition-transport8 8.0.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 10 Dec 2019 12:16:37 +0100

=== debian/control ===
Source: ignition-transport8
Standards-Version: 3.9.4
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               doxygen,
               python,
               ruby-ronn,
               libprotoc-dev,
               libprotobuf-dev,
               libignition-msgs5-dev,
               libignition-cmake2-dev,
               libignition-tools-dev,
               protobuf-compiler,
               uuid-dev,
               libzmq3-dev (>= 3.0.0),
               libsqlite3-dev
Vcs-Browser: https://github.org/ignition-relase/ign-transport8-release
Vcs-Hg: https://github.org/ignition-relase/ign-transport8-release
Homepage: https://bitbucket.org/ignitionrobotics/ign-transport

Package: libignition-transport8-core-dev
Architecture: any
Section: libdevel
Depends: libignition-transport8 (= ${binary:Version}),
         uuid-dev,
         libzmq3-dev (>= 3.0.0),
         libignition-msgs5-dev,
         libignition-cmake2-dev,
         libignition-tools-dev,
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics transport Library - Core Dev files

Package: libignition-transport8
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Transport Library - Shared library

Package: libignition-transport8-log-dev
Architecture: any
Section: libdevel
Depends: libsqlite3-dev,
         libignition-cmake2-dev,
         libignition-transport8-core-dev (= ${binary:Version}),
         libignition-transport8-log (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics transport Library - Core Dev

Package: libignition-transport8-log
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Transport Library - Log Shared library

Package: libignition-transport8-dev
Architecture: any
Section: libdevel
Depends: libignition-transport8-core-dev (= ${binary:Version}),
         libignition-transport8-log-dev (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics transport Library - Metapackage

Package: libignition-transport8-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libignition-transport8 (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics transport Library - Debugging symbols

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
  CMAKE_HOST_CFLAGS="True"
else
  CMAKE_HOST_CFLAGS="False"
endif

.PHONY: override_dh_auto_configure \
        override_dh_install \
        override_dh_auto_test \
	override_dh_strip

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
            -DUSE_HOST_CFLAGS:BOOL=${CMAKE_HOST_CFLAGS} \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_install:
	dh_install --
	# need to remove files present in components
	$(RM) debian/libignition-transport*-core-dev/usr/include/ignition/transport*/ignition/transport/log.hh
	dh_missing --list-missing

# Test can not run in parallel
override_dh_auto_test:
	# Fix tests. They need special configuration for networking
	# dh_auto_test --max-parallel=1
	true

override_dh_strip:
	dh_strip -a --dbg-package=libignition-transport8-dbg

## ignition-transport8 8.2.1+ds

=== conf/CMakeLists.txt ===
# Used only for internal testing.
set(ign_library_path "${CMAKE_BINARY_DIR}/test/lib/ruby/ignition/cmd${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR}")

# Generate a configuration file for internal testing.
# Note that the major version of the library is included in the name.
# Ex: transport0.yaml
configure_file(
  "${IGN_DESIGNATION}.yaml.in"
    "${CMAKE_BINARY_DIR}/test/conf/${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

# Used for the installed version.
set(ign_library_path "${CMAKE_INSTALL_PREFIX}/lib/ruby/ignition/cmd${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR}")

# Generate the configuration file that is installed.
# Note that the major version of the library is included in the name.
# Ex: transport0.yaml
configure_file(
  "${IGN_DESIGNATION}.yaml.in"
  "${CMAKE_CURRENT_BINARY_DIR}/${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

# Install the yaml configuration files in an unversioned location.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ignition/)

=== example/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

project(ignition-transport-examples)

# Find the Ignition_Transport library
find_package(ignition-transport8 QUIET REQUIRED OPTIONAL_COMPONENTS log)
set(IGN_TRANSPORT_VER ${ignition-transport8_VERSION_MAJOR})

if (EXISTS "${CMAKE_SOURCE_DIR}/msgs/")
  # Message generation. Only required when using custom Protobuf messages.
  find_package(Protobuf REQUIRED)
  add_subdirectory(msgs)
  set_source_files_properties(${PROTO_SRC} ${PROTO_HEADER} PROPERTIES GENERATED TRUE)
endif()

include_directories(${CMAKE_BINARY_DIR})

# Generate examples
if (EXISTS "${CMAKE_SOURCE_DIR}/bench.cc")
  ########################################
  # GFlags
  find_library(gflags_LIBRARIES NAMES gflags)
  find_path(gflags_INCLUDE_DIRS gflags/gflags.h ENV CPATH)
  if (NOT gflags_LIBRARIES OR NOT gflags_INCLUDE_DIRS)
    message (STATUS "Unable to compile 'bench.cc', missing GFLags library")
  else()
    include_directories(SYSTEM ${gflags_INCLUDE_DIRS})
    add_executable(bench bench.cc)
    target_link_libraries(bench
      ignition-transport${IGN_TRANSPORT_VER}::core
      ${gflags_LIBRARIES}
      pthread)
  endif()
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/publisher_c.cc")
  add_executable(publisher_c publisher_c.cc)
  target_link_libraries(publisher_c ignition-transport${IGN_TRANSPORT_VER}::core)
endif()
if (EXISTS "${CMAKE_SOURCE_DIR}/publisher_c_fast.cc")
  add_executable(publisher_c_fast publisher_c_fast.cc)
  target_link_libraries(publisher_c_fast ignition-transport${IGN_TRANSPORT_VER}::core)
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/subscriber_c.cc")
  add_executable(subscriber_c subscriber_c.cc)
  target_link_libraries(subscriber_c ignition-transport${IGN_TRANSPORT_VER}::core)
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/subscriber_c_slow.cc")
  add_executable(subscriber_c_slow subscriber_c_slow.cc)
  target_link_libraries(subscriber_c_slow ignition-transport${IGN_TRANSPORT_VER}::core)
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/subscriber_stats.cc")
  add_executable(subscriber_stats subscriber_stats.cc)
  target_link_libraries(subscriber_stats ignition-transport${IGN_TRANSPORT_VER}::core)
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/publisher.cc")
  add_executable(publisher publisher.cc)
  target_link_libraries(publisher ignition-transport${IGN_TRANSPORT_VER}::core)
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/subscriber.cc")
  add_executable(subscriber subscriber.cc)
  target_link_libraries(subscriber ignition-transport${IGN_TRANSPORT_VER}::core)
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/subscriber_generic.cc")
  add_executable(subscriber_generic subscriber_generic.cc)
  target_link_libraries(subscriber_generic
    ignition-transport${IGN_TRANSPORT_VER}::core)
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/responser.cc")
  add_executable(responser responser.cc)
  target_link_libraries(responser ignition-transport${IGN_TRANSPORT_VER}::core)
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/requester.cc")
  add_executable(requester requester.cc)
  target_link_libraries(requester ignition-transport${IGN_TRANSPORT_VER}::core)
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/requester_async.cc")
  add_executable(requester_async requester_async.cc)
  target_link_libraries(requester_async
    ignition-transport${IGN_TRANSPORT_VER}::core)
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/responser_oneway.cc")
  add_executable(responser_oneway responser_oneway.cc)
  target_link_libraries(responser_oneway
    ignition-transport${IGN_TRANSPORT_VER}::core)
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/requester_oneway.cc")
  add_executable(requester_oneway requester_oneway.cc)
  target_link_libraries(requester_oneway
    ignition-transport${IGN_TRANSPORT_VER}::core)
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/responser_no_input.cc")
  add_executable(responser_no_input responser_no_input.cc)
  target_link_libraries(responser_no_input
    ignition-transport${IGN_TRANSPORT_VER}::core)
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/requester_no_input.cc")
  add_executable(requester_no_input requester_no_input.cc)
  target_link_libraries(requester_no_input
    ignition-transport${IGN_TRANSPORT_VER}::core)
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/requester_async_no_input.cc")
  add_executable(requester_async_no_input requester_async_no_input.cc)
  target_link_libraries(requester_async_no_input
    ignition-transport${IGN_TRANSPORT_VER}::core)
endif()

if (TARGET protobuf_compilation AND
    EXISTS "${CMAKE_SOURCE_DIR}/publisher_custom_msg.cc")
  add_executable(publisher_custom_msg publisher_custom_msg.cc)
  target_link_libraries(publisher_custom_msg
    ignition-transport${IGN_TRANSPORT_VER}::core
    ${PROTO_SRC}
  )
  add_dependencies(publisher_custom_msg protobuf_compilation)
endif()

if (TARGET protobuf_compilation AND
    EXISTS "${CMAKE_SOURCE_DIR}/subscriber_custom_msg.cc")
  add_executable(subscriber_custom_msg subscriber_custom_msg.cc)
  target_link_libraries(subscriber_custom_msg
    ignition-transport${IGN_TRANSPORT_VER}::core
    ${PROTO_SRC}
  )
  add_dependencies(subscriber_custom_msg protobuf_compilation)
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/publisher_raw.cc")
  add_executable(publisher_raw publisher_raw.cc)
  target_link_libraries(publisher_raw
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
endif()

if (EXISTS "${CMAKE_SOURCE_DIR}/subscriber_raw.cc")
  add_executable(subscriber_raw subscriber_raw.cc)
  target_link_libraries(subscriber_raw
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
endif()

# Logging examples.
if (TARGET ignition-transport${IGN_TRANSPORT_VER}::log)

  if (EXISTS "${CMAKE_SOURCE_DIR}/record.cc")
    add_executable(log_record record.cc)
    target_link_libraries(log_record
      ignition-transport${IGN_TRANSPORT_VER}::log
    )
  endif()

  if (EXISTS "${CMAKE_SOURCE_DIR}/playback.cc")
    add_executable(log_playback playback.cc)
    target_link_libraries(log_playback
      ignition-transport${IGN_TRANSPORT_VER}::log
    )
  endif()

  if (EXISTS "${CMAKE_SOURCE_DIR}/custom_query.cc")
    add_executable(log_custom_query custom_query.cc)
    target_link_libraries(log_custom_query
      ignition-transport${IGN_TRANSPORT_VER}::log
    )
  endif()

endif()


if (MSVC)
  # Suppress Protobuf message generation warnings.
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4018 /wd4100 /wd4127 /wd4244 /wd4267 /wd4512")

  # Suppress the "decorated name length exceed" warning (inside the STL).
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4503")

  add_definitions(-DBUILDING_STATIC_LIBS -DWIN32_LEAN_AND_MEAN)

  # Don't pull in the Windows min/max macros
  add_definitions(-DNOMINMAX)

endif()

=== src/CMakeLists.txt ===
# Collect source files into the "sources" variable and unit test files into the
# "gtest_sources" variable.
ign_get_libsources_and_unittests(sources gtest_sources)

# Skip command line tests for Windows, see
# https://github.com/ignitionrobotics/ign-transport/issues/104
if (MSVC)
  list(REMOVE_ITEM gtest_sources ign_TEST.cc)
endif()

if (MSVC)
  # Warning #4251 is the "dll-interface" warning that tells you when types used
  # by a class are not being exported. These generated source files have private
  # members that don't get exported, so they trigger this warning. However, the
  # warning is not important since those members do not need to be interfaced
  # with.
  set_source_files_properties(${sources} ${gtest_sources} COMPILE_FLAGS "/wd4251 /wd4146")
endif()

# Create the library target.
ign_create_core_library(SOURCES ${sources} CXX_STANDARD 17)

# Link the libraries that we always need.
target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
    ignition-cmake${IGN_CMAKE_VER}::utilities
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
  PRIVATE
    ${ZeroMQ_TARGET}
    CPPZMQ::CPPZMQ
)

# Windows system library provides UUID
if (NOT MSVC)
  target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
    PUBLIC
      UUID::UUID
  )
endif()

# Build the unit tests.
ign_build_tests(TYPE UNIT SOURCES ${gtest_sources}
  TEST_LIST test_list
  LIB_DEPS ${EXTRA_TEST_LIB_DEPS})

foreach(test ${test_list})

  # Inform each test of its output directory so it knows where to call the
  # auxiliary files from. Using a generator expression here is useful for
  # multi-configuration generators, like Visual Studio.
  target_compile_definitions(${test} PRIVATE
    "DETAIL_IGN_TRANSPORT_TEST_DIR=\"$<TARGET_FILE_DIR:${test}>\""
    "IGN_TEST_LIBRARY_PATH=\"$<TARGET_FILE_DIR:${PROJECT_LIBRARY_TARGET_NAME}>\"")

endforeach()

if(MSVC)
  # On Windows, UNIT_Discovery_TEST uses some socket functions and therefore
  # needs to link to the Windows socket library. An easy, maintainable way to
  # do that is to tell it to link to the ZeroMQ target, and let it get the
  # socket library dependency transitively.
  if(TARGET UNIT_Discovery_TEST)
    target_link_libraries(UNIT_Discovery_TEST
      ${ZeroMQ_TARGET})
  endif()
endif()

# Command line support.
if(NOT WIN32)
  add_subdirectory(cmd)
endif()

=== example/msgs/CMakeLists.txt ===
PROTOBUF_GENERATE_CPP(PROTO_SRC PROTO_HEADER
  stringmsg.proto
)

# Variables needed to propagate through modules
# If more than one layer of cmake use CACHE INTERNAL ...
set(PROTOBUF_INCLUDE_DIRS ${PROTOBUF_INCLUDE_DIRS} PARENT_SCOPE)
set(PROTOBUF_LIBRARIES ${PROTOBUF_LIBRARIES} PARENT_SCOPE)
set(PROTO_SRC ${PROTO_SRC} PARENT_SCOPE)
set(PROTO_HEADER ${PROTO_HEADER} PARENT_SCOPE)

add_custom_target(protobuf_compilation DEPENDS ${PROTO_SRC})

=== log/src/CMakeLists.txt ===

ign_get_libsources_and_unittests(sources gtest_sources)
list(APPEND sources cmd/LogCommandAPI.cc)

ign_add_component(log SOURCES ${sources} GET_TARGET_NAME log_lib_target)

target_link_libraries(${log_lib_target}
  PRIVATE SQLite3::SQLite3)

if (MSVC)
  # Warning #4251 is the "dll-interface" warning that tells you when types used
  # by a class are not being exported. These generated source files have private
  # members that don't get exported, so they trigger this warning. However, the
  # warning is not important since those members do not need to be interfaced
  # with.
  set_source_files_properties(${sources} ${gtest_sources} COMPILE_FLAGS "/wd4251 /wd4146")
endif()

# Unit tests
ign_build_tests(
  TYPE "UNIT"
  SOURCES ${gtest_sources}
  LIB_DEPS ${log_lib_target} ${EXTRA_TEST_LIB_DEPS}
  TEST_LIST logging_tests
)

foreach(test_target ${logging_tests})

  set_tests_properties(${logging_tests} PROPERTIES
    ENVIRONMENT IGN_TRANSPORT_LOG_SQL_PATH=${PROJECT_SOURCE_DIR}/log/sql)

endforeach()

if(MSVC)
  # The Recorder class uses Discovery, which is a header-only class
  # that makes calls to the native Windows socket library when compiled
  # on Windows. The easiest way to link to the correct socket library is
  # to link to the ZeroMQ target and then get the socket library
  # dependency transitively.
  target_link_libraries(${log_lib_target} PRIVATE
    ${ZeroMQ_TARGET})
endif()

# Set install instructions for the sql schema, and configure the build to use it
set(SCHEMA_INSTALL_BASE ${IGN_DATA_INSTALL_DIR})
install(DIRECTORY ../sql DESTINATION ${SCHEMA_INSTALL_BASE})
set(SCHEMA_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/${SCHEMA_INSTALL_BASE}/sql)
configure_file(build_config.hh.in build_config.hh @ONLY)


message(STATUS "CMAKE_CURRENT_SOURCE_DIR:${CMAKE_CURRENT_SOURCE_DIR}")

target_include_directories(${log_lib_target}
  PUBLIC
    # Add this component's include directory to the build interface include
    # directories so the headers are visible while building.
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>"
  PRIVATE
    # Add the current binary directory as a private include directory while building
    # the logging library. This allows the logging library to see build_config.hh
    # while being built.
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")

if(NOT WIN32)
  add_subdirectory(cmd)
endif()

=== log/test/CMakeLists.txt ===
add_subdirectory(integration)

configure_file (test_config.h.in ${PROJECT_BINARY_DIR}/log/include/ignition/transport/log/test_config.h)

=== test/integration/CMakeLists.txt ===
set(TEST_TYPE "INTEGRATION")

set(tests
  authPubSub.cc
  scopedTopic.cc
  statistics.cc
  twoProcsPubSub.cc
  twoProcsSrvCall.cc
  twoProcsSrvCallStress.cc
  twoProcsSrvCallSync1.cc
  twoProcsSrvCallWithoutInput.cc
  twoProcsSrvCallWithoutInputStress.cc
  twoProcsSrvCallWithoutInputSync1.cc
  twoProcsSrvCallWithoutOutput.cc
  twoProcsSrvCallWithoutOutputStress.cc
)

# Test symbols having the right name on linux only.
if (UNIX AND NOT APPLE)
  configure_file(all_symbols_have_version.bash.in
    ${CMAKE_CURRENT_BINARY_DIR}/all_symbols_have_version.bash @ONLY)
  add_test(NAME INTEGRATION_versioned_symbols
    COMMAND bash ${CMAKE_CURRENT_BINARY_DIR}/all_symbols_have_version.bash $<TARGET_FILE:${PROJECT_LIBRARY_TARGET_NAME}>)
endif()

ign_build_tests(TYPE INTEGRATION SOURCES ${tests}
  TEST_LIST test_list
  LIB_DEPS ${EXTRA_TEST_LIB_DEPS})

foreach(test ${test_list})

  # Inform each test of its output directory so it knows where to call the
  # auxiliary files from. Using a generator expression here is useful for
  # multi-configuration generators, like Visual Studio.
  target_compile_definitions(${test} PRIVATE
    "DETAIL_IGN_TRANSPORT_TEST_DIR=\"$<TARGET_FILE_DIR:${test}>\"")

endforeach()

set(auxiliary_files
  authPubSubSubscriberInvalid_aux
  fastPub_aux
  pub_aux
  pub_aux_throttled
  scopedTopicSubscriber_aux
  twoProcsPublisher_aux
  twoProcsPubSubSubscriber_aux
  twoProcsSrvCallReplier_aux
  twoProcsSrvCallReplierInc_aux
  twoProcsSrvCallWithoutInputReplier_aux
  twoProcsSrvCallWithoutInputReplierInc_aux
  twoProcsSrvCallWithoutOutputReplier_aux
  twoProcsSrvCallWithoutOutputReplierInc_aux
)

# Build the auxiliary files.
foreach(AUX_EXECUTABLE ${auxiliary_files})
  ign_add_executable(INTEGRATION_${AUX_EXECUTABLE} ${AUX_EXECUTABLE}.cc)

  # Link the libraries that we always need.
  target_link_libraries(INTEGRATION_${AUX_EXECUTABLE}
    PRIVATE
      ${PROJECT_LIBRARY_TARGET_NAME}
      gtest
      ${EXTRA_TEST_LIB_DEPS}
  )

  if(UNIX)
    # pthread is only available on Unix machines
    target_link_libraries(INTEGRATION_${AUX_EXECUTABLE}
      PRIVATE pthread)
  endif()

endforeach(AUX_EXECUTABLE)

=== debian/changelog ===
ignition-transport8 (8.2.1+ds-2) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 20 Dec 2021 11:22:02 +0000

ignition-transport8 (8.2.1+ds-1) experimental; urgency=medium

  * New upstream version 8.2.1+ds
  * Update metadata in copyright
  * Bump standards to 4.6.0
  * Update debian metadata to v8
  * New package to support transition from Gazebo to ignition-gazebo
    Gazebo simulator will be deprecated in the next year, upstream recommends
    the migration to ignition-gazebo. To support this transition,
    ignition-transport8 and ignition-transport (already available) will be in
    Debian to help with the installation of both simulators.  Upstream supports
    parallel installation of different major versions.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 10 Nov 2021 19:03:46 +0000

ignition-transport8 (8.0.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest and add dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 19:34:20 +0200

ignition-transport (8.0.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update d/watch to Github (switch suffix to ds)
  * Upload to unstable (Closes: #936728, #903286, #897326, #954615, #944925)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:35:53 +0200

ignition-transport (8.0.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Update d/watch
  * New upstream version 8.0.0+dfsg
  * Rebase and add patch
  * Update copyright
  * Update package names due to ABI change
  * Update packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Apr 2020 20:42:46 +0200

ignition-transport (4.0.0+dfsg-4) unstable; urgency=medium

  * Include the missing the yaml file to fix current broken ign-tools support

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 09 Mar 2018 17:24:48 +0000

ignition-transport (4.0.0+dfsg-3) unstable; urgency=medium

  * Fix conflict with self -dev package

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 08 Mar 2018 23:01:16 +0000

ignition-transport (4.0.0+dfsg-2) unstable; urgency=medium

  * Include the ign-tools ruby module into the packaging
    (Closes: #892378)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 08 Mar 2018 15:47:09 +0000

ignition-transport (4.0.0+dfsg-1) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * New upstream version 4.0.0+dfsg
    (Closes: #883757)
    (Closes: #888017)

  [ Anton Gladky ]
  * Switch to compat-level 11
  * Set Standards-Version: 4.1.3
  * Update VCS-fields (move to salsa)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 05 Feb 2018 14:04:13 +0000

ignition-transport (1.3.0-5) unstable; urgency=medium

  * Fix use system gtest patch
    (Closes: #844878)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 28 Nov 2016 11:44:19 +0000

ignition-transport (1.3.0-4) unstable; urgency=medium

  * Fix pkgconfig file. Ignition transport 1.x series does not use ignition-msgs
   (Closes: #836384)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 10 Sep 2016 14:43:28 +0000

ignition-transport (1.3.0-3) unstable; urgency=medium

  * Added patch for pkgconfig file
   (Closes: #836384)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 06 Sep 2016 21:22:27 +0000

ignition-transport (1.3.0-2) unstable; urgency=medium

  * Fix compilation for protobuf3
    (Closes: #835429)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 30 Aug 2016 23:41:05 +0000

ignition-transport (1.3.0-1) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Remove old transitional package
  * Include all versions of ignition-transport cmake modules
  * Update standards version
  * Imported Upstream version 1.3.0 (Closes: #789379)
  * Do not use Node for testing but Uuid
  * Imported Upstream version 1.2.0

  [ Anton Gladky ]
  * Drop -dbg package

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 25 Jul 2016 16:58:56 +0000

ignition-transport (0.9.0-3) unstable; urgency=medium

  * Miss dependency on protobuf by libignition-transport0-dev
  * Fix URL is Vcs lines

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 13 Jan 2016 14:29:00 +0000

ignition-transport (0.9.0-2) unstable; urgency=medium

  * Fix autotest using versioned -dev files

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 12 Jan 2016 20:47:23 +0000

ignition-transport (0.9.0-1) unstable; urgency=medium

  * Imported Upstream version 0.9.0
  * Removed patches merged upstream
  * Back to setup the c++11 patch. Needed for building.
  * Fix patch to keep test compilation running
  * Transition to versioned -dev since API follow semantic versioning
  * Remove all -dev install file
  * Implement overrides for transport0
  * Include pkgconfig in dependencies for pkgautotest

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 17 Nov 2015 02:00:30 +0100

ignition-transport (0.8.1+dfsg1-1) unstable; urgency=medium

  * ignition-transport 0.8.1-1 release (Closes: #783520)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 19 Jun 2015 15:47:57 +0000

=== debian/control ===
Source: ignition-transport8
Standards-Version: 4.6.0
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper-compat (= 13),
               libgtest-dev,
               libprotoc-dev,
               libprotobuf-dev,
               ignition-tools,
               protobuf-compiler,
               uuid-dev,
               libzmq3-dev (>= 3.0.0),
               libignition-msgs5-dev (>= 5.6),
               libignition-cmake-dev (>= 2),
               libsqlite3-dev,
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-transport
Vcs-Git: https://salsa.debian.org/science-team/ignition-transport.git
Homepage: https://ignitionrobotics.org/libs/transport

Package: libignition-transport8-8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Transport Library - Shared library
 Ignition transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Ignition Robotics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the ignition transport libraries

Package: libignition-transport8-dev
Architecture: any
Section: libdevel
Depends: libignition-transport8-8 (= ${binary:Version}),
         uuid-dev,
         libzmq3-dev (>= 3.0.0),
         libprotobuf-dev,
         libignition-msgs5-dev (>= 5.6),
         libignition-cmake-dev (>= 2),
         ${misc:Depends}
Replaces: libignition-transport-dev (<< 8.0.0+dfsg-3~)
Breaks: libignition-transport-dev (<< 8.0.0+dfsg-3~)
Suggests: ignition-tools
Multi-Arch: same
Description: Ignition Robotics transport Library - Development files
 Ignition transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Ignition Robotics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the ignition transport development headers and libraries

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	dh_auto_configure -- \
                -DUSE_HOST_SSE_FLAGS:BOOL=False \
                -DUSE_IGN_RECOMMENDED_FLAGS:BOOL=False

# Test are using networking heavily, disabled
# since they can not run on the build farm
override_dh_auto_test:

%:
	dh $@

## ignition-transport8 8.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,13 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-transport8 VERSION 8.2.1)
+project(ignition-transport8 VERSION 8.3.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake2 2.8.0 REQUIRED)
+find_package(ignition-cmake2 2.13 REQUIRED)
 set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})
 
 #============================================================================
@@ -89,8 +89,11 @@
 endif()
 
 #--------------------------------------
-# Find ignition-tools
-ign_find_package(ignition-tools QUIET)
+# Find if command is available. This is used to enable tests.
+# Note that CLI files are installed regardless of whether the dependency is
+# available during build time
+find_program(HAVE_IGN_TOOLS ign)
+set (IGN_TOOLS_VER 1)
 
 #--------------------------------------
 # Find SQLite3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -50,8 +50,8 @@
   # multi-configuration generators, like Visual Studio.
   target_compile_definitions(${test} PRIVATE
     "DETAIL_IGN_TRANSPORT_TEST_DIR=\"$<TARGET_FILE_DIR:${test}>\""
-    "IGN_TEST_LIBRARY_PATH=\"$<TARGET_FILE_DIR:${PROJECT_LIBRARY_TARGET_NAME}>\"")
-
+    "IGN_TEST_LIBRARY_PATH=\"$<TARGET_FILE_DIR:${PROJECT_LIBRARY_TARGET_NAME}>\""
+    "PROJECT_SOURCE_DIR=\"${PROJECT_SOURCE_DIR}\"")
 endforeach()
 
 if(MSVC)

=== include/ignition/transport/CMakeLists.txt ===
# Exclude the detail directory from inclusion. The purpose is to prevent the
# detail/* header files from being included in transport.hh. A side effect is
# that the detail headers are not installed. The next install line solves this
# problem.
ign_install_all_headers(EXCLUDE_DIRS detail)
install(DIRECTORY detail DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL}/ignition/${GZ_DESIGNATION})

=== log/test/integration/CMakeLists.txt ===
# Integration tests

ign_build_tests(
  TYPE "INTEGRATION"
  TEST_LIST logging_tests
  SOURCES
    recorder.cc
    playback.cc
    query.cc
  LIB_DEPS
    ${PROJECT_LIBRARY_TARGET_NAME}-log
    ${EXTRA_TEST_LIB_DEPS}
  INCLUDE_DIRS
    ${CMAKE_BINARY_DIR}/test/
)

# Test symbols having the right name on linux only.
if (UNIX AND NOT APPLE)
  add_test(NAME INTEGRATION_log_versioned_symbols
    COMMAND bash ${PROJECT_BINARY_DIR}/test/integration/all_symbols_have_version.bash $<TARGET_FILE:${PROJECT_LIBRARY_TARGET_NAME}-log>)
endif()

foreach(test_target ${logging_tests})

  set_tests_properties(${test_target} PROPERTIES
    ENVIRONMENT IGN_TRANSPORT_LOG_SQL_PATH=${PROJECT_SOURCE_DIR}/log/sql)
  target_compile_definitions(${test_target}
    PRIVATE IGN_TRANSPORT_LOG_SQL_PATH="${PROJECT_SOURCE_DIR}/log/sql")
  target_compile_definitions(${test_target}
    PRIVATE IGN_TRANSPORT_LOG_BUILD_PATH="$<TARGET_FILE_DIR:${test_target}>")

endforeach()

set (aux
  topicChirp_aux.cc
)

foreach(source_file ${aux})
  string(REGEX REPLACE ".cc" "" AUX_EXECUTABLE ${source_file})
  set(BINARY_NAME ${TEST_TYPE}_${AUX_EXECUTABLE})

  ign_add_executable(${BINARY_NAME} ${AUX_EXECUTABLE}.cc)

  # Include the interface directories that we always need.
  ign_target_interface_include_directories(${BINARY_NAME}
    ${PROJECT_LIBRARY_TARGET_NAME})

  # Link the libraries that we always need.
  target_link_libraries(${BINARY_NAME}
    PRIVATE
      ${PROJECT_LIBRARY_TARGET_NAME}
      ${log_lib_target}
      gtest
      ${EXTRA_TEST_LIB_DEPS}
  )

  if(UNIX)
    # pthread is only available on Unix machines
    target_link_libraries(${BINARY_NAME}
      PRIVATE pthread)
  endif()

  target_compile_definitions(${BINARY_NAME}
    PRIVATE IGN_TRANSPORT_LOG_BUILD_PATH="$<TARGET_FILE_DIR:${BINARY_NAME}>")
endforeach()

# CLI test
if (HAVE_IGN_TOOLS)
  set(IGN_CONFIG_PATH "${CMAKE_BINARY_DIR}/log/test/lib/ruby/ignition")

  add_test(ign_log_record_no_overwrite
    ruby ${CMAKE_CURRENT_SOURCE_DIR}/ign_log_record_no_overwrite.rb
  )

  add_test(ign_log_record_force
    ruby ${CMAKE_CURRENT_SOURCE_DIR}/ign_log_record_force.rb
  )
  set_tests_properties(
    ign_log_record_no_overwrite
    ign_log_record_force
    PROPERTIES
    ENVIRONMENT
      "IGN_CONFIG_PATH=${IGN_CONFIG_PATH};IGN_TRANSPORT_LOG_SQL_PATH=${PROJECT_SOURCE_DIR}/log/sql"
    TIMEOUT 10
  )
endif ()

=== debian/changelog ===
ignition-transport8 (8.3.0-2~revyos1) bullseye; urgency=medium

  * Release for RevyOS riscv64
  * http://packages.ros.org/ros2/ubuntu/pool/main/i/ignition-transport8/

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Fri, 24 May 2024 15:12:23 +0800

ignition-transport8 (8.3.0-2~focal) focal; urgency=medium

  * ignition-transport8 8.3.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 15 Aug 2022 18:25:26 -0700

ignition-transport8 (8.3.0-1~focal) focal; urgency=medium

  * ignition-transport8 8.3.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 28 Jul 2022 19:53:28 -0700

ignition-transport8 (8.2.1-1~focal) focal; urgency=medium

  * ignition-transport8 8.2.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 27 Oct 2021 13:32:20 -0700

ignition-transport8 (8.2.0-2~focal) focal; urgency=medium

  * ignition-transport8 8.2.0-2 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 16 Jun 2021 09:44:24 -0700

ignition-transport8 (8.2.0-1~focal) focal; urgency=medium

  * ignition-transport8 8.2.0-1 release

 -- Nate Koenig <nate@osrfoundation.org>  Tue, 05 Jan 2021 12:18:29 -0700

ignition-transport8 (8.1.0-1~focal) focal; urgency=medium

  * ignition-transport8 8.1.0-1 release

 -- Nate Koenig <nate@osrfoundation.org>  Fri, 28 Aug 2020 14:23:15 -0700

ignition-transport8 (8.0.0-1~focal) focal; urgency=medium

  * ignition-transport8 8.0.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 10 Dec 2019 12:16:37 +0100

=== debian/control ===
Source: ignition-transport8
Standards-Version: 3.9.4
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               doxygen,
               python3,
               ruby-ronn,
               libprotoc-dev,
               libprotobuf-dev,
               libignition-msgs5-dev,
               libignition-cmake-dev,
               libignition-tools-dev,
               protobuf-compiler,
               uuid-dev,
               libzmq3-dev (>= 3.0.0),
               cppzmq-dev,
               libsqlite3-dev
Vcs-Browser: https://github.org/gazebosim/gz-transport
Vcs-Git: https://github.org/gazebosim/gz-transport
Homepage: https://github.com/gazebosim/gz-transport

Package: libignition-transport8-core-dev
Architecture: any
Section: libdevel
Depends: libignition-transport8 (= ${binary:Version}),
         uuid-dev,
         libzmq3-dev (>= 3.0.0),
         cppzmq-dev,
         libignition-msgs5-dev,
         libignition-cmake-dev,
         libignition-tools-dev,
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo transport Library - Core Dev files

Package: libignition-transport8
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Transport Library - Shared library

Package: libignition-transport8-log-dev
Architecture: any
Section: libdevel
Depends: libsqlite3-dev,
         libignition-cmake-dev,
         libignition-transport8-core-dev (= ${binary:Version}),
         libignition-transport8-log (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo transport Library - Core Dev

Package: libignition-transport8-log
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Transport Library - Log Shared library

Package: libignition-transport8-dev
Architecture: any
Section: libdevel
Depends: libignition-transport8-core-dev (= ${binary:Version}),
         libignition-transport8-log-dev (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo transport Library - Metapackage

Package: libignition-transport8-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libignition-transport8 (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Gazebo transport Library - Debugging symbols

Package: libgz-transport8-core-dev
Depends: libignition-transport8-core-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-transport8
Depends: libignition-transport8, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-transport8-log-dev
Depends: libignition-transport8-log-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-transport8-log
Depends: libignition-transport8-log, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-transport8-dev
Depends: libignition-transport8-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-transport8-dbg
Depends: libignition-transport8-dbg, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.
